Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Timeout Authorization Reversals


When you do not receive a response message after sending an authorization request, this feature enables you to reverse the authorization that you requested.

For guidance on timeout scenarios, see Transaction Timeout Guidance.

Include the clientReferenceInformation.transactionId field in the original request for an authorization. The value of the merchant transaction ID must be unique for 180 days.

When the original transaction fails, the response message for the reversal request includes these fields:

  • reversalAmountDetails.originalTransactionAmount
  • processorInformation.responseCode

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global

Requirements

Unless your processor supports authorization reversal after void (ARAV), timeout authorization reversals are supported only for authorizations that have not been captured and settled.

Endpoints

POST /pts/v2/reversals

POST /pts/v2/reversals

POST /pts/v2/reversals

Example

Standard Example

{  "clientReferenceInformation": {    "transactionId": "987654321"  },  "reversalInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "ABC"    },    "reason": "testing"  }}
{  "_links" : {    "self" : {      "method" : "GET",      "href" : "/pts/v2/reversals/6869460219566537303955"    }  },  "clientReferenceInformation" : {    "code" : "RTS-Auth-Reversal"  },  "id" : "6869460219566537303955",  "orderInformation" : {    "amountDetails" : {      "currency" : "ABC"    }  },  "processorInformation" : {    "settlementDate" : "0501",    "responseCode" : "200"  },  "reconciliationId" : "82kBK3qDNtls",  "reversalAmountDetails" : {    "reversedAmount" : "100.00",    "currency" : "ABC"  },  "status" : "REVERSED",  "submitTimeUtc" : "2026-06-16T20:07:02Z"}

Required Fields

These fields are required to submit a time-out authorization reversal request.

Default Required Fields

FieldDescription
clientReferenceInformation.transactionIdIdentifier that links the reversal request to the original request.
reversalInformation.amountDetails.currency—
reversalInformation.amountDetails.totalAmountThe amount of the reversal must be the same as the authorization amount that was included in the authorization response message. Do not use the amount that was requested in the authorization request message.
reversalInformation.reason—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.